commit 345dc5c4b95d96c4d1c7e645e1e8974d30ceed50
Author: freddy77 <freddy77>
Date:   Tue Aug 18 15:07:11 2009 +0000

    fix silly error

diff --git a/ChangeLog b/ChangeLog
index 0afc8a0..acee624 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Tue Aug 18 17:07:18 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/token.c: fix silly error
+
 Tue Aug 18 17:04:42 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/ctlib/ct.c: small fix for empty strings
 
@@ -1730,4 +1733,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2842 2009/08/18 15:04:13 freddy77 Exp $
+$Id: ChangeLog,v 1.2843 2009/08/18 15:07:11 freddy77 Exp $
diff --git a/src/tds/token.c b/src/tds/token.c
index 05546d9..6f80816 100644
--- a/src/tds/token.c
+++ b/src/tds/token.c
@@ -42,7 +42,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: token.c,v 1.364 2009/07/24 15:06:52 freddy77 Exp $");
+TDS_RCSID(var, "$Id: token.c,v 1.365 2009/08/18 15:07:11 freddy77 Exp $");
 
 #define USE_ICONV tds->use_iconv
 
@@ -1971,7 +1971,7 @@ tds9_get_varmax(TDSSOCKET * tds, TDSCOLUMN * curcol)
 			curcol->column_cur_size = offset;
 			return TDS_SUCCEED;
 		}
-		if (*p)
+		if (*p == NULL)
 			tmp = (TDS_CHAR*) malloc(chunk_len);
 		else
 			tmp = (TDS_CHAR*) realloc(*p, offset + chunk_len);

